Download it now!
Bug 116714 - Are we bound to the old OOo Tango styled icons/oasis for the sysui
Summary: Are we bound to the old OOo Tango styled icons/oasis for the sysui
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: framework (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All Windows (All)
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on: 115867
Blocks: Icon-Themes-Code
  Show dependency treegraph
 
Reported: 2018-03-30 19:48 UTC by V Stuart Foote
Modified: 2020-05-02 12:56 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
Quickstart's Tango style icon OASIS menu overlaid on the StartCenter with Colibre (27.11 KB, image/png)
2018-03-30 20:38 UTC, V Stuart Foote
Details
Quickstart on Windows master/6.3.0 now with Colibre icons (8.07 KB, image/png)
2019-04-24 16:10 UTC, V Stuart Foote
Details

Note You need to log in before you can comment on or make changes to this bug.
Description V Stuart Foote 2018-03-30 19:48:04 UTC
Looking at bug 116694 to replace Quickstart notice its UI pulls from Tango styled icon/oasis-* in creating the Quickstart menu UI. The same icons also used on the Windows Start menu(s) and when pinned to taskbar. [1][2][3][4]

Am I wrong to believe that there really are no OASIS defined/provided icons--and what we treat as OASIS icons for the document types were generic art work brought over from StarOffice (w/Stars motif) and OOo (w/Seagulls motif)?

And, at least for the Windows builds, can we swap in Andreas' Colibre icons that implement a Windows 10 color scheme?

=-ref-=
[1] https://opengrok.libreoffice.org/xref/core/sfx2/source/appl/shutdowniconw32.cxx#66
[2] https://opengrok.libreoffice.org/xref/core/include/vcl/syswin.hxx#35
[3] https://opengrok.libreoffice.org/xref/core/desktop/util/officeloader.rc#63

[4]https://opengrok.libreoffice.org/xref/core/desktop/WinResTarget_sofficebin.mk#25
Comment 1 V Stuart Foote 2018-03-30 20:38:17 UTC
Created attachment 140991 [details]
Quickstart's Tango style icon OASIS menu overlaid on the StartCenter with Colibre

Screen clip of the mixed icon styles -- Quicklaunch (and OS Startmenu/Taskbar) vs. LO StartCenter

Version: 6.1.0.0.alpha0+ (x64)
Build ID: 83204c1fbf2cb85f3a22a922411ed8291cfb3fe8
CPU threads: 8; OS: Windows 10.0; UI render: GL; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-03-29_01:08:27
Locale: en-US (en_US); Calc: group
Comment 2 andreas_k 2018-03-30 20:46:36 UTC
thanks for the screenshot didn't know this "feature" as I add all icons to colibre that are included in galaxy (and tango) they will be added. the icons are from the res/ folder isn't it?
Comment 3 V Stuart Foote 2018-03-30 21:55:12 UTC
(In reply to andreas_k from comment #2)
> thanks for the screenshot didn't know this "feature" as I add all icons to
> colibre that are included in galaxy (and tango) they will be added. the
> icons are from the res/ folder isn't it?

Not sure. The icons linked https://opengrok.libreoffice.org/xref/core/desktop/WinResTarget_sofficebin.mk#25 from /sysui/desktop/icons are all 128x128, but the Quickstart UI menu and the Windows taskbar in small icon mode uses 16x16 icons. Small icon can be toggled off and taskbar uses 24x24, but the Quickstart continues with 16x16. So assume there is more plumbing controlling the size in OS Taskbar and the Quickstart.

Also, depending on feedback we may not be able to just replace these Tango styled OASIS mime type icons--precious to someone? To keep some folks happy--but be able to use the Colibre icons--the index of icons might have to expand. See Andras's commit for bug 37740 [1]

=-ref-=
https://cgit.freedesktop.org/libreoffice/core/commit/?id=ceb14e0143fb72b34421f6fb81ff1fb1842cb500
Comment 4 Andras Timar 2018-03-31 11:12:21 UTC
I don't think that OASIS (the standards organization) has anything to do about file format or application icons in LibreOffice. These icons were added in early days of LibreOffice, see the commit:
commit b74fd6e8cc43092fa8cb4ce1439bc08fed4ef413
Author: Thorsten Behrens <tbehrens@novell.com>
Date:   Thu Feb 3 17:27:48 2011 +0100

    New mimetype icons for LibreOffice
    
    Update from design team, source svg is
    http://wiki.documentfoundation.org/cgi_img_auth.php/d/d4/LibreOffice_Initial_Icons-pre_final.svg

The link above is broken now.

If you want to modernize these icons, get an icon editor and edit the .ico files. There are several sizes and color depths in them.

Please note that .ico files are for Windows only. For macOS, you need to edit .icns files.
Comment 5 V Stuart Foote 2018-03-31 13:37:18 UTC
Well if we end up replacing any of that set, guess we should do the Apple icon format .ICNS as well. In process could clean up the icon sets for macOS closing bug 56249 to add the 512, 1024 resolutions.

=-ref-=
Packaging ICNS for OSX needs sips and iconutil from macOS, or just conversion part can be done with Imagemagick convert, need similar to iconutil to package.

https://stackoverflow.com/questions/12306223/how-to-manually-create-icns-files-using-iconutil

https://github.com/jiahaog/nativefier/issues/199

https://gist.github.com/zlbruce/883605a635df8d5964bab11ed75e46ad
Comment 6 V Stuart Foote 2018-03-31 15:54:24 UTC
(In reply to Andras Timar from comment #4)
> commit b74fd6e8cc43092fa8cb4ce1439bc08fed4ef413
> Author: Thorsten Behrens <tbehrens@novell.com>
> Date:   Thu Feb 3 17:27:48 2011 +0100
> 
>     New mimetype icons for LibreOffice
>     
>     Update from design team, source svg is
>    
> http://wiki.documentfoundation.org/cgi_img_auth.php/d/d4/
> LibreOffice_Initial_Icons-pre_final.svg
> 
> The link above is broken now.
> 
It is archived here:

https://wiki.documentfoundation.org/images/d/d4/LibreOffice_Initial_Icons-pre_final.svg

meta data, and alternate resolutions:
https://wiki.documentfoundation.org/File:LibreOffice_Initial_Icons-pre_final.svg
Comment 7 andreas_k 2018-12-21 12:09:26 UTC
we have .ico and .icons files for applications and mimetype in core. please use them.
Comment 8 andreas_k 2019-04-10 22:01:02 UTC
is this bug still open?
Comment 9 Heiko Tietze 2019-04-11 07:20:52 UTC
(In reply to andreas_k from comment #7)
> we have .ico and .icons files for applications and mimetype in core. please
> use them.

The task is rather vice versa to also update the icons mentioned here.
Comment 10 andreas_k 2019-04-24 13:41:53 UTC
the quickstarter app show the icon from the .ico file so it's in line with the application launcher on windows.

So for me it's fine and wfm.
Comment 11 V Stuart Foote 2019-04-24 14:58:11 UTC
(In reply to andreas_k from comment #10)
> the quickstarter app show the icon from the .ico file so it's in line with
> the application launcher on windows.
> 
> So for me it's fine and wfm.

OK but should the icons for Windows launcher(s) and the Quickstart (now Windows only) require use of the Tango based branding Icons [1] or would Colibre based icons make more sense on Windows builds?

Not purely a Design nor a Marketing decision.

=-ref-=
[1] https://wiki.documentfoundation.org/Gallery_Icons
Comment 12 andreas_k 2019-04-24 15:47:52 UTC
The windows quickstarter use colibre ico icons which is fine.
Comment 13 V Stuart Foote 2019-04-24 16:10:50 UTC
Created attachment 150980 [details]
Quickstart on Windows master/6.3.0 now with Colibre icons

(In reply to andreas_k from comment #12)
> The windows quickstarter use colibre ico icons which is fine.

Sorry, you were correct, I'd missed the change over you did. The Quickstart now using Colibre--my major issue. So WFM or Fixed is fine.